
version: '3.6'

services:

  ai:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-ai:26.4.59
    ports:
      - 31311:31311
    environment:
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    volumes:
      - /nfs/allinone/app/ai:/mnt
    deploy:
      mode: replicated
      replicas: 1
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.25.200:24224
        fluentd-retry-wait: "60s"
        fluentd-max-retries: "30"
        tag: ai


networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
